import { AutoScalingGroup } from '@aws-cdk/aws-autoscaling';
import * as eks from '@aws-cdk/aws-eks';
import { Construct } from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface AutoScalarProps {
    /**
     * @stability stable
     */
    readonly cluster: eks.Cluster;
    /**
     * @stability stable
     */
    readonly nodegroup: AutoScalingGroup;
    /**
     * @stability stable
     */
    readonly namespace: string;
}
/**
 * @stability stable
 */
export declare class AutoScalar extends Construct {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: AutoScalarProps);
}
